#ifndef MENU_H
#define MENU_H

#include "Types.h"

MenuHandle osCreatePopupMenu();
void osTrackPopupMenu(MenuHandle handle, WindowHandle hwnd, int x, int y);

MenuHandle osInsertMenu(MenuHandle parent, int pos);
MenuHandle osInsertMenuItem(MenuHandle parent, int pos);
MenuHandle osInsertMenuCheckItem(MenuHandle parent, int pos);
MenuHandle osInsertMenuSeparatorItem(MenuHandle parent, int pos);
MenuHandle osInsertMenuRadioItem(MenuHandle parent, int pos);

void osSetMenuRadioGroup(MenuHandle *handles);

void osDestroyMenu(MenuHandle handle);

int osGetMenuItemCount(MenuHandle handle);

void osSetMenuItemEnabled(MenuHandle item, BOOL bState);
BOOL osGetMenuItemEnabled(MenuHandle item);
void osSetMenuItemChecked(MenuHandle item, BOOL bState);
BOOL osGetMenuItemChecked(MenuHandle item);

void  osSetMenuLabel(MenuHandle item, char* title);
char *osGetMenuLabel(MenuHandle item);

void osSetMenuItemAccel(MenuHandle item, int key, unsigned int mods);
void osGetMenuItemAccel(MenuHandle item, int *key, unsigned int *mods);

void osSetMenuItemBitmap(MenuHandle handle, BitmapHandle bitmap);

int osGetMenuItemPos(MenuHandle handle);

#endif
